org.eclipse.osgi.signedcontent

## Interface SignedContentEntry

    public interface SignedContentEntry

A `SignedContentEntry` represents a content entry which may be signed.

A `SignedContentEntry` object is intended to provide information about the signers of the content entry, and cannot be used to access the actual data of the entry.

This interface is not intended to be implemented by clients.

Since:
  3.4
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of the entry.
`SignerInfo[]` `getSignerInfos()` Returns the signer infos for this `SignedContentEntry`.
`boolean` `isSigned()` Returns true if the entry is signed; false otherwise.
`void` `verify()` Verifies the content of this this entry is valid.

### Method Detail

#### getName

    String getName()

Returns the name of the entry.

Returns:
  the name of the entry.

#### getSignerInfos

    SignerInfo[] getSignerInfos()

Returns the signer infos for this `SignedContentEntry`. If the entry is not signed then an empty array is returned.

Returns:
  the signer infos for this `SignedContentEntry`

#### isSigned

    boolean isSigned()

Returns true if the entry is signed; false otherwise. This is a convenience method equivalent to calling ``getSignerInfos()`.length > 0`

Returns:
  true if the content is signed

#### verify

    void verify()
         throws IOException,
                InvalidContentException

Verifies the content of this this entry is valid.

Throws:
  `IOException` - if an error occurred reading the entry content
  `InvalidContentException` - if the entry content is not valid